/*
A faire :

- ajouter les logo pour chaque hardskills et les liens pour les contacts
- faire les slides avec js
- revoir le design
- ajouter un menu en haut 
- ameliorer les projets avec des cards plus innovantes

*/

/* =========================
   BASE GENERALE
========================= */

body {
    margin: 0;
	min-height: 100vh;
	display: grid;
	grid-template-rows: auto 1fr auto;
    background-image: url("background.jpg");
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: cover;
}

#div_CV {
    background-color: rgba(15, 23, 42, 0.85);
    border-color: #334155  ;
    border-left-style: solid;
    border-right-style: solid;
    border-width: 7px;
    box-shadow: 
    inset 6px 0 10px -4px rgba(145, 145, 145, 0.4),   /* côté gauche */
    inset -6px 0 10px -4px rgba(145, 145, 145, 0.4); /* côté droit */

    font-family: Arial, sans-serif;
    color: #e5e7eb;
    max-width: 1000px;
    margin: auto;
    padding: 20px;
}

h2 {
    margin-top: 30px;
    border-bottom: 2px solid #334155;
    padding-bottom: 5px;
    color: #93c5fd;
}

p {
    line-height: 2;
    font-size: 16px;
    padding: 15px;
}


ul {
    padding-left: 20px;
}

li {
    margin-bottom: 5px;
    margin-left: 15px;
    font-size: 16px;
    line-height: 2;
    
}

b {
    font-weight: 850;
}

/* =========================
   Présentation
========================= */
#div_presentation {
    margin-top: 20px;
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: 10% 30% 35%;
    gap: 15px
}

#photo_de_profil {
    width: 340px;
    border-radius: 20px;
    display: inline-block;
    vertical-align: top;
    grid-row: 1/4;
    grid-column: 1/2;
}

.titre {
    margin: auto;
    font-family:  Times, serif;
}

#Nom {
    font-size: 65px;
    color: #60a5fa;
}

#job_recherché {
    font-size: 50px;
    margin-bottom: 10px;
}

/* =========================
   INFOS COMPLEMENTAIRES
========================= */

#informations_complementaire {
    background-color: #1e293b;
    border-radius: 25px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
}

.coordonnees {
    margin : 0;
    font-size: 12px;
}


/* =========================
   PROFIL
========================= */

.profil {
    background-color: #1e293b;
    border-radius: 10px;
}

/* =========================
   SOFT SKILLS
========================= */

#liste_soft_skill {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    background-color: #1e293b;
    border-radius: 10px;
    gap: 5px;
}

/* =========================
   HARD SKILLS
========================= */

.hard_skill {
    display: grid;
    grid-template-rows: repeat(2, auto);
    gap: 15px;
    grid-auto-flow: column;
}

.titre_hard_skill {
    margin-top: 0px;
    margin-bottom: 0px;
    font-weight: bold;
    color: #60a5fa;
}

.liste_hard_skill {
    background-color: #1e293b;
    border-radius: 7px;
    margin-top: 0px;
}

/* =========================
   PROJETS (GRID) / FORMATIONS / EXPERIENCE
========================= */


.slide {
    height: 950px;
    display: none;
    background-color: #334155;
    padding: 10px;
    border-radius: 10px;
}

.slide.active {
    display: block;
}

#div_boutons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin: 20px;
}

#div_boutons img {
    width: 40px;
}

#div_boutons button {
    padding: 10px;
    cursor: pointer;
    background: transparent;
    border: none;
}

#div_projets {
    margin-top: 20px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.projet {
    background-color: #1e293b;
    border-radius: 10px;
    font-size: 14px;
    min-height: 120px;
    transition: transform 0.2s ease;
}

.projet:hover {
    transform: scale(1.2);
    background-color: #424c5c ;
}

.formation,
.experience {
    background-color: #1e293b;
    border-radius: 10px;
    margin-bottom: 15px;
}

/* =========================
   INFORMATIONS SECONDAIRES
========================= */

#div_informations_secondaires {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.langue {
    font-size: 26px;
}

#long_div_passion {
    grid-row: 1/3;
    grid-column: 2/3;
}

#div_passion {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

#image_fx,
#image_tennis,
#image_montagne {
    width: 320px;
    border-radius: 5px;
    vertical-align: top;
}

.passion {
    display: inline-block;
    background-color: #334155;
    border-radius: 5px;
    margin: 10px;
    align-content: center ;
}

.connaissances {
    background-color: #1e293b;
    border-radius: 10px;
    line-height: 1.7;
}

/* =========================
   FOOTER
========================= */

#div_bas_de_page {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 100px;
    padding: 20px;
    background-color: #1d1d1d;
}

#div_bas_de_page img {
    transition: transform 0.2s ease, opacity 0.2s ease;
}

#div_bas_de_page img:hover {
    transform: scale(1.2);
    opacity: 0.8;
}

#contact_linkedin{
    width: 100px;
}

#contact_github{
    width: 75px;
}

#contact_email{
    width: 75px;
}

#contact_telephone{
    width: 80px;
}
